aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-dottedname
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/zope-dottedname')
-rw-r--r--dev-python/zope-dottedname/zope-dottedname-5.0.ebuild9
1 files changed, 5 insertions, 4 deletions
diff --git a/dev-python/zope-dottedname/zope-dottedname-5.0.ebuild b/dev-python/zope-dottedname/zope-dottedname-5.0.ebuild
index 8b6b75f..8d65ad5 100644
--- a/dev-python/zope-dottedname/zope-dottedname-5.0.ebuild
+++ b/dev-python/zope-dottedname/zope-dottedname-5.0.ebuild
@@ -18,7 +18,7 @@ SLOT="0"
KEYWORDS="~amd64"
distutils_enable_sphinx docs
-distutils_enable_tests unittest
+distutils_enable_tests setup.py
src_prepare() {
# strip rdep specific to namespaces
@@ -31,7 +31,8 @@ python_compile() {
find "${BUILD_DIR}" -name '*.pth' -delete || die
}
-src_test() {
- cd "${S}/src/zope/dottedname" || die
- distutils-r1_src_test
+python_test() {
+ distutils_write_namespace zope
+ zope-testrunner -pvc -j "$(nproc)" --usecompiled \
+ --path "${BUILD_DIR}/install$(python_get_sitedir)/zope" || die
}